 :root {
    --color-navy: #13294B;
    --color-white: #000000;
    --color-bg-primary: #f8f8f8;
    --color-bg-white: #f8f8f8;
    --color-gray: #a7acaf;
    --easeOutCubic: cubic-bezier(0.215, 0.61, 0.355, 1);
 }

 html.lenis,
 html.lenis body {
    height: auto;
 }

 .lenis.lenis-smooth {
    scroll-behavior: auto !important;
 }

 .lenis.lenis-smooth [data-lenis-prevent] {
    overscroll-behavior: contain;
 }

 .lenis.lenis-stopped {
    overflow: initial;
 }

 .l-main {
    position: relative;
    z-index: 2;
    width: 100%;
    display: block;
 }

 /* ------------------------- first section home  --------------------------- */
 .first-section-home {
    position: relative;
    height: 100% !important;
    width: 100% !important;
    display: flex !important;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    overflow: hidden;
    border-radius: 15px;
    z-index: 1;
    isolation: isolate;
 }

 .first-section-home::after {
    content: '';
    position: absolute;
    bottom: -30px;
    left: -10px;
    width: calc(100% + 20px);
    height: 130px;
    background: var(--rg-gradient-a);
    background-size: 180% 180%;
    border-radius: 50% 50% 15px 15px / 30px 30px 15px 15px;
    mask-image: linear-gradient(to top,
          rgba(0, 0, 0, 1) 0%,
          rgba(0, 0, 0, 0.5) 20%,
          rgba(0, 0, 0, 0.3) 35%,
          rgba(0, 0, 0, 0) 100%);
    opacity: 1;
    z-index: -1;
    pointer-events: none;
    transform-origin: center bottom;
    will-change: transform, background-position;
    animation: firstSectionWave 2.8s ease-in-out infinite;
 }

 @media (prefers-reduced-motion: reduce) {

    .first-section-home::after {
       animation: none;
    }
 }

 .first-section-bg {
    position: absolute;
    inset: 0;
    z-index: 1;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    opacity: 0;
    transition: opacity 0.8s ease-in-out;
    pointer-events: none;
    /* background-size: 110%; */
 }

 .first-section-home>.our-solution-container {
    width: 100%;
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
    min-height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
 }

 .our-solution-container {
    position: relative;
    z-index: 2;
    /* Force content above the background layers */
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    height: 100%;
    width: 100%;
    max-width: 1200px;
    margin: 0 auto;
    /* padding: 20px; */
 }


 .p-top-kv {
    width: 100%;
    position: relative;
    font-family: var(--font-family-sans);
    color: var(--color-navy);
    /* background: var(--color-bg-primary); */
    /* background-color: #eaeaea; */
 }

 .p-top-kv__body {
    position: sticky;
    top: 0;
    height: 100vh;
    left: 0;
    overflow: hidden;
 }

 .p-top-kv__space {
    height: 50vh;
 }

 @media (min-width: 1400px) {

    .p-top-kv__space {
       height: 30vh;
       /* height: 50vh; */
    }
 }

 @media (min-width: 2000px) {
    .p-top-kv__space {
       height: 10vh;
    }
 }

 @media (min-width: 2500px) {
    .p-top-kv__space {
       height: 10vh;
    }
 }

 .p-top-kv__img {
    width: 100%;
    height: 100%;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    overflow: hidden;
    will-change: transform, clip-path;
    max-width: 100%;
    clip-path: inset(0% 0% 0% 0% round 0px);
 }

 .p-top-kv__img-item {
    height: 100%;
    width: 100%;
    transform: scale(1.1);
    transition: transform 1.5s var(--easeOutCubic);
    z-index: 30;
    position: relative;
 }

 .p-top-kv__img-item::after {
    content: '';
    opacity: 1;
    position: absolute;
    bottom: -30px;
    left: -10px;
    width: calc(100% + 20px);
    height: 70px;
    background: var(--rg-gradient-a);
    background-size: 180% 180%;
    /* border-radius: 50% 50% 15px 15px / 30px 30px 15px 15px; */
    mask-image: linear-gradient(to top,
          rgba(0, 0, 0, 1) 0%,
          rgba(0, 0, 0, 0.7) 20%,
          rgba(0, 0, 0, 0.5) 35%,
          rgba(0, 0, 0, 0) 100%);
    z-index: 1;
    pointer-events: none;
    transform-origin: center bottom;
    will-change: transform, background-position;
    animation: firstSectionWave 2.8s ease-in-out infinite;
 }

 .is-page-loaded .p-top-kv__img-item {
    transform: scale(1.001);
 }

 /* .p-top-kv__img-item img {
        object-fit: cover;
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
    } */

 .p-top-kv__initial-text,
 .p-top-kv__final-text {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    /* width: 80%;
        max-width: 800px; */
    text-align: center;
    /* pointer-events: none; */
    color: #fff;
    width: 100%;
    height: 100%;
    align-content: center;
 }

 .p-top-kv__initial-text {
    /* transition: 1s; */
    opacity: 0.4 !important;
    z-index: 20;
    visibility: hidden;
 }

 .is-page-loaded .p-top-kv__initial-text {
    opacity: 1 !important;
 }

 .is-page-loaded .p-top-kv__initial-text h1 {
    animation: fadeInDown;
    animation-duration: 1s;
    animation-delay: 0.25s;
    /* หน่วงเวลา 3 วินาทีก่อนเริ่ม */
    animation-fill-mode: both;
    visibility: visible;
 }

 .is-page-loaded .p-top-kv__initial-text h5 {
    animation: fadeInLeft;
    animation-duration: 1s;
    animation-delay: 0.5s;
    /* หน่วงเวลา 3 วินาทีก่อนเริ่ม */
    animation-fill-mode: both;
    visibility: visible;
 }

 .is-page-loaded .p-top-kv__initial-text a {
    animation: fadeInUp;
    animation-duration: 1s;
    animation-delay: 0.75s;
    animation-fill-mode: both;
    visibility: visible;
 }

 .p-top-kv__final-text {
    z-index: 25;
    opacity: 0;
 }

 @media screen and (max-width: 767px) {

    .p-top-kv__final-text {
       width: 100%;
       max-width: 100%;
       padding: 0;
    }
 }

 @media (max-width: 1400px) {
    .first-section-bg {
       transform: unset !important;
    }
 }


 .first-section-bg.active {
    opacity: 1;
 }

 /* Main LiquidGlass Card */
 .liquid-glass-cards-wrapper {
    position: relative;
    width: 100%;
    max-width: 860px;
    min-height: 400px;
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 0 auto;
 }

 .service-detail-card {
    position: absolute !important;
    width: 100%;
    opacity: 0;
    visibility: hidden;
    /* background: rgba(11, 47, 91, 0.1); */
    /* background: rgba(255, 255, 255, 0.07); */
    /* background: rgba(87, 116, 159, 0.3); */
    background: rgb(50 85 137 / 50%);
    backdrop-filter: blur(12px);
    /* -webkit-backdrop-filter: blur(25px) saturate(180%); */
    border: 1px solid rgba(255, 255, 255, 0.18);
    border-radius: 28px;
    /* box-shadow: 0 25px 50px -12px rgba(0, 0, 0, 0.3),
            inset 0 1px 0 0 rgba(255, 255, 255, 0.2); */
    box-shadow: inset 1px 1px 0 rgba(255, 255, 255, 0.5),
       inset 0 0 5px rgba(255, 255, 255, 0.5);
    color: #ffffff;
    z-index: 1;
    overflow: hidden;
 }

 .service-detail-card.active {
    position: relative !important;
    opacity: 1;
    visibility: visible;
    /* transform: translateY(0); */
    z-index: 2;
 }

 /* Inner Card Layout */

 .service-card-icon {
    width: 50px;
    height: auto;
    object-fit: contain;
    /* filter: brightness(0) invert(1); */
 }

 .service-tag-pill {
    background: rgba(43, 69, 112, 0.85);
    border: 1px solid rgba(255, 255, 255, 0.12);
    border-radius: 100px;
    padding: 6px 18px;
    color: #ffffff;
    transition: background-color 0.25s ease, border-color 0.25s ease, color 0.25s ease, transform 0.25s ease;
    white-space: nowrap;
    width: fit-content;
 }

 /* Tabs Bar styling */
 .liquid-glass-tabs-bar {
    display: inline-block;
    background: rgba(87, 116, 159, 0.3);
    backdrop-filter: blur(12px);
    border: 1px solid rgba(255, 255, 255, 0.18);
    box-shadow: inset 1px 1px 0 rgba(255, 255, 255, 0.5),
       inset 0 0 5px rgba(255, 255, 255, 0.5);
    border-radius: 100px;
    padding: 6px;
 }

 .tabs-bar-inner {
    display: flex;
    align-items: center;
    gap: 12px;
 }

 .service-tab-btn {
    background: transparent;
    border: none;
    border-radius: 100px;
    padding: 10px;
    /* min-width: 50px;
        height: 50px; */
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
    transition: background-color 1.5s cubic-bezier(0.25, 0.8, 0.25, 1), color 1.5s cubic-bezier(0.25, 0.8, 0.25, 1), width 1.5s cubic-bezier(0.25, 0.8, 0.25, 1), padding 1.5s cubic-bezier(0.25, 0.8, 0.25, 1);
    color: rgba(255, 255, 255, 0.7);
    outline: none;
    overflow: hidden;
 }

 .service-tab-btn:hover {
    color: #ffffff;
    background: rgba(255, 255, 255, 0.08);
 }

 .service-tab-icon {
    width: 30px;
    height: 30px;
    object-fit: contain;
    filter: brightness(0) invert(1);
    opacity: 0.65;
    transition: opacity 0.3s ease;
    flex-shrink: 0;
 }

 .service-tab-btn.active {
    background: rgba(43, 69, 112, 0.85);
    color: #ffffff;
    box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
    padding: 10px;
    /* min-width: auto; */
 }

 .service-tab-btn.active .service-tab-icon {
    opacity: 1;
 }

 .service-tab-label {
    display: block;
    white-space: nowrap;
    max-width: 0;
    opacity: 0;
    overflow: hidden;
    transition: max-width 1.5s cubic-bezier(0.25, 0.8, 0.25, 1),
       opacity 1.5s ease,
       margin-left 0.4s cubic-bezier(0.25, 0.8, 0.25, 1);
    margin-left: 0;
    /* flex-shrink: 0; */
 }

 @media (min-width: 768px) {
    .service-tab-btn.active {
       background: rgba(43, 69, 112, 0.85);
       color: #ffffff;
       box-shadow: 0 4px 15px rgba(0, 0, 0, 0.2);
       padding: 10px 24px;
       /* min-width: auto; */
    }

    .service-tab-btn.active .service-tab-label {
       max-width: 200px;
       opacity: 1;
       margin-left: 10px;
    }

    .service-card-icon {
       width: 100px;
    }
 }

 /* ------------------------- SEction MUD --------------------------- */

 @media (max-width: 1400px) {

    /* .sec_mud svg .cls-1,
    .sec_cs svg .cls-2 {
       fill: #d91c5c;
    } */

    .sec_mud svg path,
    .sec_cs svg path {
       fill: #19a3db;
    }
 }

 @media (min-width: 1400px) {

    .sec_mud svg path,
    .sec_cs svg path {
       fill: #19a3db;
    }
 }

 /* ------------------------- Logo company --------------------------- */

 /* .marquee-wrapper {
    overflow: hidden;
    width: 100%;
    display: flex;
    flex-direction: column;
 }

 .marquee-track {
    display: flex;
    width: max-content;
 }

 .track-left {
    animation: marqueeScrollLeft 90s linear infinite;
 }

 .track-right {
    animation: marqueeScrollRight 60s linear infinite;
 } */

 .logo-item {
    width: 180px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-shrink: 0;
    padding: 0 20px;
 }

 .logo-item img {
    height: auto;
    width: 180px;
    max-width: 100%;
    /* filter: grayscale(100%); */
    transition: filter 0.3s ease, opacity 0.3s ease;
    cursor: pointer;
 }

 .img_tng_filter {
    /* filter: grayscale(100%) sepia(50%) hue-rotate(185deg) saturate(180%); */
    /* filter: grayscale(100%) sepia(50%) hue-rotate(180deg) saturate(800%); */
    /* filter: grayscale(0%) sepia(100%) hue-rotate(160deg) saturate(300%); */
    width: 85%;
    visibility: hidden;
 }

 /* @keyframes marqueeScrollLeft {
    0% {
       transform: translateX(0);
    }

    100% {
       transform: translateX(-50%);
    }
 }

 @keyframes marqueeScrollRight {
    0% {
       transform: translateX(-50%);
    }

    100% {
       transform: translateX(0);
    }
 } */

 @media (min-width: 1400px) {
    .btn-hover-border:hover::after {
       opacity: 1;
    }

    .logo-item img {
       filter: grayscale(100%);
       opacity: 0.7;
    }

    .logo-item img:hover {
       filter: none;
       opacity: 1;
    }

    /* .marquee-track:hover {
       animation-play-state: paused;
    } */
 }


 .gsap-drag-container {
    width: 100%;
    overflow: hidden;
    display: flex;
    position: relative;
    padding: 0px 0;
 }

 /* .gsap-drag-item {
    width: 250px;
    height: 500px;
    margin-right: 40px;
    flex-shrink: 0;
    position: relative;
 } */

 /* .gsap-drag-item-inner {
    width: 100%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
    font-size: 20px;
    font-weight: bold;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
 }

 @media (min-width: 1400px) {
    .gsap-drag-container {
       padding: 30px 0;
    }


    .gsap-drag-item:hover {
       z-index: 10;
    }

    .gsap-drag-item:hover .gsap-drag-item-inner {
       transform: scale(1.1);
    }
 } */

 /* Mobile: 5 คอลัมน์ 3 แถว (15 รูป) */
 .support-logos-grid {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 15px;
    /* ลดระยะห่างบนมือถือ */
    align-items: center;
    justify-items: center;
 }

 .logo-grid-item {
    width: 100%;
    text-align: center;
    padding: 5px;
    -webkit-transition: opacity 0.6s ease-in-out;
    transition: opacity 0.6s ease-in-out;
    opacity: 1;
 }

 .logo-grid-item img {
    /* -webkit-filter: grayscale(100%);
    filter: grayscale(100%); */
    opacity: 1;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    -webkit-transform: translateZ(0);
    transform: translateZ(0);
 }

 .logo-grid-item.fade-out {
    opacity: 0;
 }

 /* ซ่อนรูปที่ 16 เป็นต้นไปบนมือถือ */
 .logo-grid-item:nth-child(n+10) {
    display: none;
 }

 /* iPad: 7 คอลัมน์ 3 แถว (21 รูป) */
 @media (min-width: 768px) {
    .support-logos-grid {
       grid-template-columns: repeat(6, 1fr);
       gap: 20px;
    }

    /* แสดงรูปที่ 16-21, ซ่อนตั้งแต่รูปที่ 22 เป็นต้นไป */
    .logo-grid-item:nth-child(n+10) {
       display: block;
    }

    .logo-grid-item:nth-child(n+19) {
       display: none;
    }
 }

 /* PC: 10 คอลัมน์ 3 แถว (30 รูป) */
 @media (min-width: 1400px) {
    .support-logos-grid {
       grid-template-columns: repeat(8, 1fr);
       gap: 30px 20px;
    }

    /* แสดงรูปทั้งหมดจนถึง 30 */
    .logo-grid-item:nth-child(n+19) {
       display: block;
    }

    .logo-grid-item img {
       -webkit-filter: grayscale(100%);
       filter: grayscale(100%);
       opacity: 0.6;
    }

    .logo-grid-item:hover img {
       -webkit-filter: grayscale(0%);
       filter: grayscale(0%);
       opacity: 1;
    }
 }


 /* ------------------------- Box content --------------------------- */

 :root {
    --rg-gradient-a: linear-gradient(96deg, #ff94f1 7.63%, #978aff 37.94%, #00d2e5 65.23%, #8ffff8 92.12%);
 }

 @keyframes firstSectionWave {
    0% {
       transform: translate3d(0, 0, 0);
       background-position: 0% 50%;
    }

    20% {
       transform: translate3d(0, 0, 0);
       /* transform: translate3d(0, -5px, 0); */
    }

    40% {
       transform: translate3d(0, 0, 0);
       /* transform: translate3d(0, 2px, 0); */
    }

    60% {
       transform: translate3d(0, 0, 0);
       /* transform: translate3d(0, -6px, 0); */
       background-position: 100% 50%;
    }

    80% {
       transform: translate3d(0, 0, 0);
       /* transform: translate3d(0, 1px, 0); */
    }

    100% {
       transform: translate3d(0, 0, 0);
       background-position: 0% 50%;
    }
 }

 .box_content_service {
    color: #000;
 }

 @media (min-width: 1400px) {

    .box_content_service:hover .text_title_3 {
       color: #1a81c3;
    }
 }

 .box_content_case_studies,
 .box_content_service {
    position: relative;
    display: flex;
    align-items: center;
    background-color: #fff;
    overflow: hidden;
    z-index: 0;
    border-radius: 20px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
    transition: 0.3s;
 }

 .box_content_case_studies::after,
 .box_content_service::after {
    content: '';
    opacity: 0;
    position: absolute;
    bottom: -30px;
    left: -10px;
    width: calc(100% + 20px);
    height: 70px;
    background: var(--rg-gradient-a);
    background-size: 180% 180%;
    /* border-radius: 50% 50% 15px 15px / 30px 30px 15px 15px; */
    mask-image: linear-gradient(to top,
          rgba(0, 0, 0, 1) 30%,
          rgba(0, 0, 0, 0.7)50%,
          rgba(0, 0, 0, 0.4)60%,
          rgba(0, 0, 0, 0) 100%);
    z-index: 1;
    pointer-events: none;
    transform-origin: center bottom;
    will-change: transform, background-position;
    animation: firstSectionWave 2.8s ease-in-out infinite;
    transition: 0.3s;
 }

 .box_content_case_studies_test {
    background-color: #fff;
    position: relative;
    width: 100%;
    display: flex;
    align-items: center;
    overflow: hidden;
    z-index: 1;
    border-radius: 20px;
    box-shadow: 0px 0px 10px 0px rgba(0, 0, 0, 0.5);
    /* border: 1px solid transparent; */
    transition: 0.3s;
    visibility: hidden
 }

 .bg_body .box_content_case_studies_test {
    background: rgba(255, 255, 255, 0.15);
    /* border: 1px solid rgba(255, 255, 255, 0.18); */
    box-shadow: inset 1px 1px 0 rgba(255, 255, 255, 0.5),
       inset 0 0 5px rgba(255, 255, 255, 0.5);
    color: #ffffff;
    visibility: hidden
 }

 .box_content_service_test {
    position: relative;
    width: 100%;
    background: rgba(255, 255, 255, 0.15);
    transition: 0.3s;
    backdrop-filter: blur(5px);
    /* -webkit-backdrop-filter: blur(25px) saturate(180%); */
    border: 1px solid rgba(255, 255, 255, 0.18);
    border-radius: 28px;
    box-shadow: inset 1px 1px 0 rgba(255, 255, 255, 0.5),
       inset 0 0 5px rgba(255, 255, 255, 0.5);
    color: #ffffff;
    z-index: 1;
    display: flex;
    overflow: hidden;
    /* text-align: center;
    justify-content: center;
    align-items: center; */

    visibility: hidden
 }

 .box_content_service_test.bg_service_new {
    background-color: rgb(50 85 137 / 50%) !important;
 }

 .box_content_service_test.box_shadow_service {
    background-color: #fff;
    box-shadow: 6px 6px 20px rgb(45 5 73 / 50%);
    border: 0;
 }


 .text_gradient {
    color: #000;
    background-image: var(--rg-gradient-a);
    background-size: 200% auto;
    background-clip: text;
    -webkit-background-clip: text;
    transition: color 0.4s ease;
    display: inline-block;
 }

 .box_content_case_studies_test::after,
 .box_content_service_test::after {
    content: '';
    opacity: 0;
    position: absolute;
    bottom: -30px;
    left: -10px;
    width: calc(100% + 20px);
    height: 70px;
    background: var(--rg-gradient-a);
    background-size: 180% 180%;
    /* border-radius: 50% 50% 15px 15px / 30px 30px 15px 15px; */
    mask-image: linear-gradient(to top,
          rgba(0, 0, 0, 1) 30%,
          rgba(0, 0, 0, 0.7)50%,
          rgba(0, 0, 0, 0.4)60%,
          rgba(0, 0, 0, 0) 100%);
    z-index: 1;
    pointer-events: none;
    transform-origin: center bottom;
    will-change: transform, background-position;
    animation: firstSectionWave 2.8s ease-in-out infinite;
    transition: 0.3s;
 }

 .img_service {
    width: 100%;
    max-width: 120px;
    min-width: 120px;
 }

 /* .box_content_cs:nth-child(even) {
   top: 50%;
   transform: translateY(50%);
   position: relative;
}

.box_content_cs:last-child {
   margin-bottom: 30px;
} */

 @media (min-width: 768px) {
    .box_content_cs:nth-child(even) {
       margin-left: auto;
    }

    .img_service {
       max-width: 180px;
       min-width: 180px;
    }
 }

 @media (min-width: 1200px) {
    .box_content_cs:nth-child(even) {
       /* margin-top: 20px; */
       top: 50%;
       transform: translateY(50%);
       position: relative;
    }

    .box_content_cs:last-child {
       /* margin-top: 20px; */
       margin-bottom: 30px;
    }
 }

 @media (min-width: 1400px) {

    .img_service {
       max-width: 95%;
       min-width: 95%;
       height: 250px;

       position: absolute;
       top: 230px;
       left: 50%;
       transform: translate(-50%);
       z-index: 2;
    }

    .box_content_case_studies:hover::after,
    .box_content_case_studies_test:hover::after,
    .box_content_service:hover::after,
    .box_content_service_test:hover::after {
       opacity: 1;
    }

    .box_content_service_test.box_shadow_service:hover {
       box-shadow: 6px 6px 20px #2d0549;
    }

    .box_content_service_test.box_shadow_service {
       min-height: 550px;
    }

    .box_content_service_test:hover .text_gradient {
       color: transparent;
       -webkit-text-fill-color: transparent;
       animation: firstSectionWave 2.8s ease-in-out infinite;
    }

 }

 @media (min-width: 1600px) {
    .img_service {
       height: 300px;
       top: 210px;
    }
 }

 .box_content_case_studies.is-active::after,
 .box_content_case_studies_test.is-active::after,
 .box_content_service.is-active::after,
 .box_content_service_test.is-active::after {
    opacity: 1;
 }

 .w_img_cs,
 .w_img_cs svg {
    width: 150px;
 }

 .custom_iframe iframe {
    width: 100%;
    height: 100%;
    min-height: 250px;
    border-radius: 15px;
 }

 @media (min-width: 1400px) {
    .custom_iframe iframe {
       min-height: 375px;
    }
 }

 .bg_contact {
    /* background: linear-gradient(90deg, rgba(68, 149, 202, 1) 0%, rgba(157, 196, 221, 1) 100%); */
    background: linear-gradient(180deg, rgba(0, 0, 44, 1) 0%, rgba(0, 87, 153, 1) 100%);
 }

 .box_contact {
    /* display: flex;
    background-color: rgba(242, 242, 242, 0.3);
    border-radius: 50px;
    border: 1px solid #cccccc !important;
    padding: 10px 20px;
    width: 260px;
    height: fit-content; */

    background: rgba(255, 255, 255, 0.15);
    backdrop-filter: blur(5px);
    border: 1px solid rgba(255, 255, 255, 0.18);
    border-radius: 50px;
    box-shadow: inset 1px 1px 0 rgba(255, 255, 255, 0.5), inset 0 0 5px rgba(255, 255, 255, 0.5);
    color: #ffffff;
    z-index: 1;
    display: flex;
    overflow: hidden;
    text-align: center;
    align-items: center;
    padding: 10px 20px;
    position: relative;
 }

 .box_contact::after {
    content: '';
    opacity: 0;
    position: absolute;
    bottom: -30px;
    left: -10px;
    width: calc(100% + 20px);
    height: 70px;
    background: var(--rg-gradient-a);
    background-size: 180% 180%;
    mask-image: linear-gradient(to top,
          rgba(0, 0, 0, 1) 30%,
          rgba(0, 0, 0, 0.7) 50%,
          rgba(0, 0, 0, 0.4) 60%,
          rgba(0, 0, 0, 0) 100%);
    z-index: 1;
    pointer-events: none;
    will-change: transform, background-position;
    animation: firstSectionWave 2.8s ease-in-out infinite;
    transition: 0.3s;
 }

 @media (min-width: 1400px) {
    .box_contact:hover::after {
       opacity: 1;
    }

    /* .bg_contact {
       background: linear-gradient(90deg, rgba(68, 149, 202, 1) 0%, rgba(157, 196, 221, 1) 40%, rgba(239, 239, 239, 1) 100%);
    } */
 }

 /* KV 5-Second Scroll Lock Scoped State Helpers */
 html.kv-scroll-locked,
 body.kv-scroll-locked {
    user-select: none;
    -webkit-user-select: none;
 }

 .bg_top_contact {
    background: linear-gradient(180deg, rgba(0, 0, 0, 0.75) 0%, rgba(239, 239, 239, 0) 100%);
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 120px;
 }